KTOBLZCHECK(1)

NAME
ktoblzcheck - Check Account and BLZ (bank routing code)

SYNOPSIS
ktoblzcheck [--returncode] [--file=<datafile>] <bank-id> <account-id>

DESCRIPTION
This manual page documents briefly the ktoblzcheck application.

ktoblzcheck is a program that will check a given account and blz for the bank being valid and the account being valid using some checksum calculations, if supported for that particular bank. The output is the clear-text name of the bank specified by <bank-id>, and whether the given <account-id> is a valid account number at this bank.

OPTIONS

<bank-id>
    This is the Bankleitzahl (bank routing id), actually it is the account-id of that particular bank at the Deutsche Bundesbank.

<account-id>
    This is the account number you wish to verify. If the checksum method of the bank specified by the <bank-id> is supported, you will get the account-id verified, i.e. if it is a valid account-id at that particular bank.

--returncode
    If given, the result is returned via the returncode and no output on the terminal. The following returncodes are possible: 0: account and bank are ok 1: unknown, e.g. checksum not implemented or such 2: account and/or bank not ok 3: bank not found

--file=<datafile>
    Specifies the file with the bankdata. This file can be obtained via the internet from the Deutsche Bundesbank on address
    http://www.bundesbank.de/zahlungsverkehr/zahlungsverkehr_bankleitzahlen_download.php
    Beware! This page is in German only.

BUGS
No bugs are known at this time. Only certain checksum algorythms are supported as of now, so please don't complain if you always get "unknown" as return value.

AUTHOR
This manual page was written by Jens Gecius <jens@gecius.de> for the Debian GNU/Linux system. Authors of ktoblzcheck are Fabian Kaiser <fabian@openhbci.de> and Christian Stimming <stimming@tuhh.de>.